org.apache.fop.render.pdf.pdfbox

## Class MergeType1Fonts

- java.lang.Object
- - org.apache.fop.fonts.type1.Type1SubsetFile
  - - org.apache.fop.render.pdf.pdfbox.MergeType1Fonts

- All Implemented Interfaces:
    MergeFonts

      public class MergeType1Fonts
      extends org.apache.fop.fonts.type1.Type1SubsetFile
      implements MergeFonts

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.fonts.type1.Type1SubsetFile

      `org.apache.fop.fonts.type1.Type1SubsetFile.BinaryCoder, org.apache.fop.fonts.type1.Type1SubsetFile.BytesNumber`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fonts.type1.Type1SubsetFile

      `charNames, eol, headerSection, LOG, mainSection, standardEncoding, subsetCharStrings, subsetSubroutines, uniqueSubs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergeType1Fonts()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getMergedFontSubset()`
    `protected java.util.List<java.lang.String>` | `readEncoding(java.util.List<java.lang.Integer> glyphs, org.apache.fop.fonts.type1.PostscriptParser.PSElement encoding)`
    `void` | `readFont(java.io.InputStream fontFile, java.lang.String name, FontContainer font, java.util.Map<java.lang.Integer,java.lang.Integer> subsetGlyphs, boolean cid)`
    `protected java.util.List<java.lang.String>` | `searchEntries(java.util.HashMap<java.lang.Integer,java.lang.String> encodingEntries, int glyph)`
    `protected java.io.ByteArrayOutputStream` | `writeHeader(org.apache.fop.fonts.type1.PFBData pfbData, org.apache.fop.fonts.type1.PostscriptParser.PSElement encoding)`
    `protected java.io.ByteArrayOutputStream` | `writeMainSection(byte[] decoded, java.util.List<org.apache.fop.fonts.type1.PostscriptParser.PSElement> mainSection, org.apache.fop.fonts.type1.PostscriptParser.PSElement charStrings)`

    - ### Methods inherited from class org.apache.fop.fonts.type1.Type1SubsetFile

      `createSubset, findVariable, getBinaryEntry, getElement, getEntryPart, stitchFont, writeString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MergeType1Fonts

          public MergeType1Fonts()

  - ### Method Detail

    - #### readFont

          public void readFont(java.io.InputStream fontFile,
                               java.lang.String name,
                               FontContainer font,
                               java.util.Map<java.lang.Integer,java.lang.Integer> subsetGlyphs,
                               boolean cid)
                        throws java.io.IOException

      Specified by:
        `readFont` in interface `MergeFonts`
      Throws:
        `java.io.IOException`

    - #### getMergedFontSubset

          public byte[] getMergedFontSubset()
                                     throws java.io.IOException

      Specified by:
        `getMergedFontSubset` in interface `MergeFonts`
      Throws:
        `java.io.IOException`

    - #### searchEntries

          protected java.util.List<java.lang.String> searchEntries(java.util.HashMap<java.lang.Integer,java.lang.String> encodingEntries,
                                                                   int glyph)

      Overrides:
        `searchEntries` in class `org.apache.fop.fonts.type1.Type1SubsetFile`

    - #### readEncoding

          protected java.util.List<java.lang.String> readEncoding(java.util.List<java.lang.Integer> glyphs,
                                                                  org.apache.fop.fonts.type1.PostscriptParser.PSElement encoding)

    - #### writeHeader

          protected java.io.ByteArrayOutputStream writeHeader(org.apache.fop.fonts.type1.PFBData pfbData,
                                                              org.apache.fop.fonts.type1.PostscriptParser.PSElement encoding)
                                                       throws java.io.IOException

      Overrides:
        `writeHeader` in class `org.apache.fop.fonts.type1.Type1SubsetFile`
      Throws:
        `java.io.IOException`

    - #### writeMainSection

          protected java.io.ByteArrayOutputStream writeMainSection(byte[] decoded,
                                                                   java.util.List<org.apache.fop.fonts.type1.PostscriptParser.PSElement> mainSection,
                                                                   org.apache.fop.fonts.type1.PostscriptParser.PSElement charStrings)
                                                            throws java.io.IOException

      Overrides:
        `writeMainSection` in class `org.apache.fop.fonts.type1.Type1SubsetFile`
      Throws:
        `java.io.IOException`

Copyright 2007-2024 The Apache Software Foundation. All Rights Reserved.